{% extends "@FOSUser/layout.html.twig" %}

{% block title %}
    {{ parent() }} |
    {{ 'security.login.submit'|trans }}
{% endblock %}

{% trans_default_domain 'FOSUserBundle' %}

{% block menu %}
    {% include "menu.html.twig" with {'active': 'login'} %}
{% endblock %}

{% block fos_user_content %}
    <div class="login-form fos-user-form">
        <h2>{{ 'security.login.submit'|trans }}</h2>
        <form action="{{ path("fos_user_security_check") }}" method="post">
            {% if error %}
                <div class="error">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
            {% endif %}
            <input type="hidden" name="_csrf_token" value="{{ csrf_token }}" />

            <label for="username">{{ 'security.login.username'|trans }}</label>
            <input type="text" id="username" name="_username" value="{{ last_username }}" required="required" />

            <label for="password">{{ 'security.login.password'|trans }}</label>
            <input type="password" id="password" name="_password" required="required" />

            <label class="remember-me" for="remember_me">{{ 'security.login.remember_me'|trans }}</label>
            <input type="checkbox" id="remember_me" name="_remember_me" value="on" />

            <div class="submit">
                <input type="submit" id="_submit" name="_submit" value="{{ 'security.login.submit'|trans }}" />
            </div>
            <div class="related-links">
                <a href={{ path("fos_user_resetting_request") }}>{{ 'layout.password.forgot'|trans }}</a><br/><hr/>
                <a href={{ path("fos_user_registration_register") }}>{{ 'layout.register'|trans }}</a>
            </div>
        </form>
    </div>
{% endblock fos_user_content %}